[package]
edition.workspace = true
name = "github_info"
version = "0.9.3"
authors = ["Kornel <kornel@geekhood.net>"]
publish = false

[lib]
name = "github_info"
path = "src/lib_github.rs"
doctest = false

[dependencies]
repo_url = { path = "../repo_url" }
github_v3 = { path = "../github_v3" }
util = { path = "../util" }
simple_cache = { path = "../simple_cache", version = "0.7.0" }
serde = { workspace = true }
serde_json = "1.0.125"
urlencoding = "2.1.3"
quick-error = "2"
log = "0.4.17"
tokio = { workspace = true }

[lints]
workspace = true
